library(tidyr)
library(ggplot2)
library(plotly)
#faili sisselugemine ja andmete formaadi korrigeerimine
J111=read.csv("PT1-T1.1-J1.1.1.csv",header=TRUE, encoding ="UTF-8")
names(J111)=c("Code","Riik","Country","X2008","X2018")

#joonis
p=ggplot(J111,aes(x=X2008,y=X2018,label=Riik))+
  geom_point(cex=2.5,col="#6666CC")+ #üksikuid värve saab sättida otse samast funktsioonist (nagu geom_point ja geom_abline)
  geom_abline(intercept = 0, slope = 1, linewidth=1,col="#FF3600")+
  scale_x_continuous(limits=c(4,9),breaks=c(4:9))+
  scale_y_continuous(limits=c(4,9),breaks=c(4:9))+
  theme_minimal()+
  geom_text(aes(x=X2008+0.1,y=X2018+0.1,label=Code),col="#668080")+ #punktide siltide värv
  theme(legend.position = "none")+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+ #kõikide muude tekstide värv. See rida peab olema hiljem kui theme_minimal(), muidu kirjutab viimane tekstivärvi üle. 
  ylab("2018")+
  xlab("2008")
  
  ggplotly(p,tooltip=c("Riik"))
  
         